Custody providers
Add Fireblocks Stablecoin Payroll Integration
Saves Fireblocks API key and/or vault account on the org's existing payroll integration; marks onboarding when configured.
POSThttps://api.toku.com/tga/add-fireblocks-stablecoin-payroll-integration
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/add-fireblocks-stablecoin-payroll-integration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fireblocksApiKey": "string",
"vaultAccountId": "string"
}'200 response
{
"fireblocksStablecoinPayrollIntegrationID": "string",
"orgID": "string",
"vaultAccountId": "string",
"isConfigured": true,
"createdAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fireblocksApiKeystringAllowed: at least 1 characters
vaultAccountIdstringAllowed: at least 1 characters
Response
200Successful response
fireblocksStablecoinPayrollIntegrationIDstringrequiredorgIDstringrequiredvaultAccountIdstringrequiredisConfiguredbooleanrequiredcreatedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits